WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/January 2022/22 Jan 2022

RGC v Pontypridd

6 photographs Alan Skeates/Huw Evans Agency Saturday
Prints from £8 Order prints
220122 - RGC v Pontypridd - Indigo Group Premiership - Joe Miles of Pontypridd passes the from the line out 001
CDF_220122_RGC_v_Pontypridd_01.jpg · Alan Skeates/Huw Evans Agency220122 - RGC v Pontypridd - Indigo Group Premiership - Joe Miles of Pontypridd passes the from the line out
220122 - RGC v Pontypridd - Indigo Group Premiership - Per Jones of RGC is tackled by Cai James of Pontypridd RFC 002
CDF_220122_RGC_v_Pontypridd_02.jpg · Alan Skeates/Huw Evans Agency220122 - RGC v Pontypridd - Indigo Group Premiership - Per Jones of RGC is tackled by Cai James of Pontypridd RFC
220122 - RGC v Pontypridd - Indigo Group Premiership - Justin Burnell head coach of Pontypridd RFC 003
CDF_220122_RGC_v_Pontypridd_03.jpg · Alan Skeates/Huw Evans Agency220122 - RGC v Pontypridd - Indigo Group Premiership - Justin Burnell head coach of Pontypridd RFC
220122 - RGC v Pontypridd - Indigo Group Premiership - Dan Owen of RGC gets a try 004
CDF_220122_RGC_v_Pontypridd_04.jpg · Alan Skeates/Huw Evans Agency220122 - RGC v Pontypridd - Indigo Group Premiership - Dan Owen of RGC gets a try
220122 - RGC v Pontypridd - Indigo Group Premiership - Dai Jones of Pontypridd passes the ball from the ruck 005
CDF_220122_RGC_v_Pontypridd_05.jpg · Alan Skeates/Huw Evans Agency220122 - RGC v Pontypridd - Indigo Group Premiership - Dai Jones of Pontypridd passes the ball from the ruck
220122 - RGC v Pontypridd - Indigo Group Premiership - Rhys Tudor of RGC is tackled by Jacob Lloyd and Ceri Morris of Pontypridd RFC 006
CDF_220122_RGC_v_Pontypridd_06.jpg · Alan Skeates/Huw Evans Agency220122 - RGC v Pontypridd - Indigo Group Premiership - Rhys Tudor of RGC is tackled by Jacob Lloyd and Ceri Morris of Pontypridd RFC

More from around this date

Sat 22 JanScarlets 21-52 Bristol Bears Sat 22 JanScunthorpe United 0-1 Newport County Sat 22 JanSwansea City 1-0 Preston North End Sat 22 JanBristol City 3-2 Cardiff City Sat 22 JanWorld Rugby Sevens Sun 23 JanCardiff Rugby U18 v RGC U18 Sun 23 JanWorld Rugby Sevens Sun 23 JanSale Sharks 49-10 Ospreys
RGC v Pontypridd · 22 Jan 2022
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured